## Mplayer Mplayer — Common wrapper functions for mplayer and mencoder |

## Functions

GPtrArray * | ogmrip_mencoder_audio_command ()
gdouble | ogmrip_mencoder_codec_watch ()
GPtrArray * | ogmrip_mencoder_container_command ()
gdouble | ogmrip_mencoder_container_watch ()
GPtrArray * | ogmrip_mencoder_video_command ()
GPtrArray * | ogmrip_mencoder_vobsub_command ()
gdouble | ogmrip_mencoder_vobsub_watch ()
GPtrArray * | ogmrip_mplayer_video_command ()
gdouble | ogmrip_mplayer_video_watch ()
GPtrArray * | ogmrip_mplayer_wav_command ()
gdouble | ogmrip_mplayer_wav_watch ()

## Includes

    #include <ogmrip-mplayer.h>

## Description

## Functions

### ogmrip_mencoder_audio_command ()

    GPtrArray *
    ogmrip_mencoder_audio_command (OGMRipAudioCodec *audio,
                                   const gchar *output);

This function creates the common part of the command line when using mencoder to encode an audio stream.

#### Parameters

audio | An OGMRipAudioCodec |
output | The output file, or NULL |

#### Returns

A new GPtrArray, or NULL

### ogmrip_mencoder_codec_watch ()

    gdouble
    ogmrip_mencoder_codec_watch (OGMJobExec *exec,
                                 const gchar *buffer,
                                 OGMRipCodec *codec);

This function parses the output of mencoder when encoding a stream and returns the progress made.

#### Parameters

exec | An OGMJobExec |
buffer | The buffer to parse |
codec | An OGMRipCodec |

#### Returns

The progress made, or -1.0

### ogmrip_mencoder_container_command ()

    GPtrArray *
    ogmrip_mencoder_container_command (OGMRipContainer *container);

This function creates the common part of the command line to merge streams using mencoder.

#### Parameters

container | An OGMRipContainer |

#### Returns

A new GPtrArray, or NULL

### ogmrip_mencoder_container_watch ()

    gdouble
    ogmrip_mencoder_container_watch (OGMJobExec *exec,
                                     const gchar *buffer,
                                     OGMRipContainer *container);

This function parses the output of mencoder when merging streams and returns the progress made.

#### Parameters

exec | An OGMJobExec |
buffer | The buffer to parse |
container | An OGMRipContainer |

#### Returns

The progress made, or -1.0

### ogmrip_mencoder_video_command ()

    GPtrArray *
    ogmrip_mencoder_video_command (OGMRipVideoCodec *video,
                                   const gchar *output,
                                   guint pass);

This function creates the common part of the command line when using mencoder to encode a video stream.

#### Parameters

video | An OGMRipVideoCodec |
output | The output file, or NULL |
pass | The number of passes |

#### Returns

A new GPtrArray, or NULL

### ogmrip_mencoder_vobsub_command ()

    GPtrArray *
    ogmrip_mencoder_vobsub_command (OGMRipSubpCodec *subp,
                                    const gchar *output);

This function creates the command line for extracting VobSub subtitles using mencoder.

#### Parameters

subp | An OGMRipSubpCodec |
output | The output file, or NULL |

#### Returns

A new GPtrArray, or NULL

### ogmrip_mencoder_vobsub_watch ()

    gdouble
    ogmrip_mencoder_vobsub_watch (OGMJobExec *exec,
                                  const gchar *buffer,
                                  OGMRipSubpCodec *subp);

This function parses the output of mencoder when extracting VobSub subtitles and returns the progress made.

#### Parameters

exec | An OGMJobExec |
buffer | The buffer to parse |
subp | An OGMRipSubpCodec |

#### Returns

The progress made, or -1.0

### ogmrip_mplayer_video_command ()

    GPtrArray *
    ogmrip_mplayer_video_command (OGMRipVideoCodec *video,
                                  const gchar *output);

This function creates the common part of the command line when using mplayer to encode a video stream.

#### Parameters

video | An OGMRipVideoCodec |
output | The output file, or NULL |

#### Returns

A new GPtrArray, or NULL

### ogmrip_mplayer_video_watch ()

    gdouble
    ogmrip_mplayer_video_watch (OGMJobExec *exec,
                                const gchar *buffer,
                                OGMRipVideoCodec *video);

This function parses the output of mplayer when encoding a video stream and returns the progress made.

#### Parameters

exec | An OGMJobExec |
buffer | The buffer to parse |
video | An OGMRipVideoCodec |

#### Returns

The progress made, or -1.0

### ogmrip_mplayer_wav_command ()

    GPtrArray *
    ogmrip_mplayer_wav_command (OGMRipAudioCodec *audio,
                                gboolean header,
                                const gchar *output);

This function creates the command line for encoding an audio stream in PCM or WAV.

#### Parameters

audio | An OGMRipAudioCodec |
header | Whether to add the PCM header |
output | The output file, or NULL |

#### Returns

A new GPtrArray, or NULL

### ogmrip_mplayer_wav_watch ()

    gdouble
    ogmrip_mplayer_wav_watch (OGMJobExec *exec,
                              const gchar *buffer,
                              OGMRipAudioCodec *audio);

This function parses the output of mplayer when encoding an audio stream in WAV or PCM and returns the progress made.

#### Parameters

exec | An OGMJobExec |
buffer | The buffer to parse |
audio | An OGMRipAudioCodec |

#### Returns

The progress made, or -1.0

## Types and Values